Page MenuHomePhabricator

No-JavaScript - Flow glitches (tracking)
Open, NormalPublic

Description

I accidentally left JavaScript disabled, and Flow worked pretty well!

A few things I noticed:

  • Topic title and post textareas don't have the blue bar for input focus, they have the blue glow from the older "system" Agora.

I think the fix for this may be simply, in includes/View.php, remove 'mediawiki.ui' from

$this->output->addModuleStyles( array( 'mediawiki.ui', 'ext.flow.base' ) );

'ext.flow.base' already depends on mediawiki.ui, and for some reason listing it explicitly here makes the CSS in core 'mediawiki.ui' override the ones in 'ext.flow.base'.

  • You can create a new topic with no title, server should probably reject that to match the JS behavior
  • Clicking underneath a topics' "Comment on <title>" textarea (on the [Reply] button, or to its left) makes the textarea jump bigger. It's disconcerting.
  • It's awesome that the moment you click inside a "Comment on <title>" textarea that it jumps bigger and stays that way. But the "Reply to <person>" textareas are full-size all the time.
  • The [- Hide post] button on my own posts overlaps the post itself. If I login with Admin rights, the [ Delete xx] buttons overlap the post and the topic bar. Maybe these buttons could appear in the right-hand margin, pushing out any vertical space they need.
  • A gray text-only ("quiet") button fades in under posts, but its target is '#' so clicking it does nothing.
  • No [Preview] button (I think this was already filed.)
  • Editing a post takes you to that post in isolation where you can edit it, but there's no indication of what topic it was in. This is Mingle card 378. The decision was to always show the post in context within a topic, but I understand that's difficult to do in no-JavaScript.
  • Likewise editing a title takes you to the title in isolation, e.g.

http://ee-flow.wmflabs.org/w/index.php?title=User_talk:Spage&workflow=050afe449da3f00fc8b1fa163e68c4ac&action=edit-title


Version: master
Severity: minor

Details

Reference
bz58019

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
ResolvedNone
ResolvedCatrope
ResolvedSBisson
Resolved Mattflaschen-WMF
OpenNone
InvalidNone
OpenNone
ResolvedCatrope
ResolvedNone
ResolvedCatrope
ResolvedSBisson
OpenNone
OpenNone
OpenNone
ResolvedCatrope
ResolvedNone
OpenNone
OpenNone

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:19 AM
bzimport set Reference to bz58019.
bzimport added a subscriber: Unknown Object (MLST).
Spage created this task.Dec 5 2013, 5:15 AM

bingle-admin wrote:

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/589, but people from the community are welcome to contribute here and in Gerrit.

more no-javascript notes in the comments from user:64.40.54.139 at https://www.mediawiki.org/w/index.php?title=Talk:Sandbox&workflow=050b96fe92694eea24cf90b11c278164 particularly:

*Needs overflow scrollbars for the textarea (both vert & horiz)

(Re: No [Preview] or [Cancel] buttons - see bug 57895 )

Change 103763 had a related patch set uploaded by EBernhardson:
No-js css tweaks

https://gerrit.wikimedia.org/r/103763

Change 103763 merged by jenkins-bot:
No-js css tweaks

https://gerrit.wikimedia.org/r/103763

Change 110421 had a related patch set uploaded by EBernhardson:
No-js tweaks

https://gerrit.wikimedia.org/r/110421

Change 110421 merged by jenkins-bot:
No-js tweaks

https://gerrit.wikimedia.org/r/110421

Lets turn this into a real tracking bug.

Elitre added a subscriber: Elitre.Dec 10 2014, 3:35 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2015, 8:55 PM
DannyH renamed this task from Flow: no-JavaScript glitches (tracking) to No-JavaScript - Flow glitches (tracking).Jul 24 2015, 12:09 AM
DannyH set Security to None.
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 7:01 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.Jul 20 2018, 6:10 PM